Kernel-Module vom Feed nicht installierbar/verwendbar

    This site uses cookies. By continuing to browse this site, you are agreeing to our Cookie Policy.

    • Kernel-Module vom Feed nicht installierbar/verwendbar

      Ich würde auf gerne auf meiner SoloSE "ppp" zu laufen bringen - scheitere aber an den benötigten Kernel-Modulen.
      Wenn ich versuche sie über der Menü zu installieren, kommt zwar keine Fehlermeldung - es wird aber in Wirklichkeit nichts installiert.

      Wenn ich versuche, sie über die Kommand-Line zu installieren, kommt die Fehlermeldung"incompatible architecture" - obwohl die Kernelversion passt - und sie aus dem Feed kommen.

      Wenn man das Kernelmodul manuell aus dem .ipk extrahiert - kommt auch eine Fehlermeldung.

      Meine Frage bitte daher: hat schon jemand mal erfolgreich Kernel-Module nachinstalliert?
      Wenn ja, welche VTI-Version und aus welchen Feed?
      Kann es sein, das die Module (*.ko) auf dem Feed nicht zu dem Kernel passen (warum auch immer)?

      PS: ist der Feed vielleicht falsch - das "20170918_vti-13.0_eeth5roWa" ist komisch - was soll das ..._eeth5roWa ?


      Shell-Script

      1. # wget -q -O /tmp/opkg-2LGKCs/Packages.gz http://vuplussupport.org/openembedded/2.0/vti/20170918_vti-13.0_eeth5roWa/all/static/Packages.gz
      2. # opkg install /tmp/kernel-module-ppp-mppe_3.13.5-r7.5-vti01_vusolose.ipk
      3. Not selecting kernel-module-ppp-mppe 3.13.5-r7.5 due to incompatible architecture.
      4. Unknown package 'kernel-module-ppp-mppe'.
      5. Collected errors:
      6. * opkg_install_cmd: Cannot install package kernel-module-ppp-mppe.
      7. # ls -l
      8. -rw-r--r-- 1 root root 12400 Mar 2 2018 ppp_mppe.ko
      9. # insmod ppp_mppe.ko
      10. insmod: ERROR: could not insert module ppp_mppe.ko: Unknown symbol in module
      11. # uname -a
      12. Linux vusolose 3.13.5 #1 SMP Fri Mar 2 23:18:24 CET 2018 mips GNU/Linux
      13. # uname -r
      14. 3.13.5
      15. # cat /proc/version
      16. Linux version 3.13.5 (plnick@build-plnick) (gcc version 4.9.2 (GCC) ) #1 SMP Fri Mar 2 23:18:24 CET 2018
      Display All